Bug 1357477 - hammer content-view version list ignores --organization{-id} options
Summary: hammer content-view version list ignores --organization{-id} options
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Views
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Mike McCune
QA Contact: Lukas Pramuk
URL: http://projects.theforeman.org/issues...
Whiteboard:
: 1318295 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-18 10:16 UTC by Lukas Pramuk
Modified: 2019-09-26 14:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:51:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 15796 None None None 2016-07-22 15:05:01 UTC

Description Lukas Pramuk 2016-07-18 10:16:56 UTC
Description of problem:
hammer content-view list ignores --organization{-id} options 

Version-Release number of selected component (if applicable):
satellite-6.2.0-20.1.el7sat.noarch

How reproducible:
always

Steps to Reproduce:

# hammer content-view version list --organization-id 1
---|--------------------------------------------------------------|---------|-----------------------
ID | NAME                                                         | VERSION | LIFECYCLE ENVIRONMENTS
---|--------------------------------------------------------------|---------|-----------------------
9  | Red Hat Enterprise Linux Server (v. 7 for 64-bit x86_64) 1.0 | 1.0     | Library               
8  | RHN Tools for RHEL Server (v. 7 for x86_64) 1.0              | 1.0     | Library               
7  | Default Organization View 1.0                                | 1.0     | Library               
2  | Docker View 1.0                                              | 1.0     | Library               
1  | Default Organization View 1.0                                | 1.0     | Library               
---|--------------------------------------------------------------|---------|-----------------------

# hammer content-view version list --organization-id 3
---|--------------------------------------------------------------|---------|-----------------------
ID | NAME                                                         | VERSION | LIFECYCLE ENVIRONMENTS
---|--------------------------------------------------------------|---------|-----------------------
9  | Red Hat Enterprise Linux Server (v. 7 for 64-bit x86_64) 1.0 | 1.0     | Library               
8  | RHN Tools for RHEL Server (v. 7 for x86_64) 1.0              | 1.0     | Library               
7  | Default Organization View 1.0                                | 1.0     | Library               
2  | Docker View 1.0                                              | 1.0     | Library               
1  | Default Organization View 1.0                                | 1.0     | Library               
---|--------------------------------------------------------------|---------|-----------------------



Actual results:
lists all CVs 

Expected results:
lists only CVs that belongs to a specific organization

Comment 1 Lukas Pramuk 2016-07-18 10:36:53 UTC
mistype

Comment 2 Lukas Pramuk 2016-07-18 10:45:03 UTC
though mistype still valid bug (added 'version' into the title)

Actual results:
lists all CV versions 

Expected results:
lists only CV version that belongs to a specific organization

Comment 4 Andrew Kofink 2016-07-22 14:47:25 UTC
Created redmine issue http://projects.theforeman.org/issues/15796 from this bug

Comment 5 Bryan Kearney 2016-08-03 14:17:03 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/15796 has been closed

Comment 6 David Davis 2016-08-31 17:36:44 UTC
*** Bug 1318295 has been marked as a duplicate of this bug. ***

Comment 10 Lukas Pramuk 2016-10-20 11:16:34 UTC
VERIFIED.

@satellite-6.3.0-1.0.git.7.fb12bf2.el7sat.noarch (snap5)
tfm-rubygem-katello-3.2.0-0.2.rc2.el7.noarch

# hammer content-view version list --organization-id 1
---|-------------------------------|---------|-----------------------
ID | NAME                          | VERSION | LIFECYCLE ENVIRONMENTS
---|-------------------------------|---------|-----------------------
2  | Satellite 6.2.2 RHEL7 1.0     | 1.0     | Library               
1  | Default Organization View 1.0 | 1.0     | Library               
---|-------------------------------|---------|-----------------------
# hammer content-view version list --organization-id 3
---|-------------------------------|---------|-----------------------
ID | NAME                          | VERSION | LIFECYCLE ENVIRONMENTS
---|-------------------------------|---------|-----------------------
4  | Satellite 6.2.2 RHEL7 1.0     | 1.0     | Library               
3  | Default Organization View 1.0 | 1.0     | Library               
---|-------------------------------|---------|-----------------------

>>> lists only CV versions that belongs to a specific organization (not all as before)

Comment 11 pm-sat@redhat.com 2018-02-21 16:51:07 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.